datalad (0.18.3-2~nd100+1) buster; urgency=medium

  * Backported for buster.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 04 Apr 2023 10:20:14 -0400

datalad (0.18.3-2) neurodebian; urgency=medium

  * debian/control
    - add python3-typing-extensions to Depends also of the python3-datalad
      (needed for older python < 3.10)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Apr 2023 10:06:35 -0400

datalad (0.18.3-1) experimental; urgency=medium

  * Fresh upstream bugfix release
  * debian/patches
    - refreshed and deb_no_chardet_depends dropped (upstream has the same now)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Mar 2023 21:57:13 -0400

datalad (0.18.1-2) unstable; urgency=medium

  * Exclude flaky test_gracefull_death from testing (Closes: #1029450)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 25 Jan 2023 11:10:27 -0500

datalad (0.18.1-1) unstable; urgency=medium

  * Fresh upstream "major" + bugfix release
    - includes significant OPTimization of 'status' command as well.
  * debian/patches
    - refreshed
    - added deb-looseversion.patch to bundle a little backport of
      looseversion from 1.0.3 of https://github.com/effigies/looseversion
    - added deb_no_chardet_depends to remove upper version boundary for chardet
      since in debian we have 5.1 already
  * debian/control
    - whoosh and simplejson are no longer dependent on. metadata functionality
      was refactored away, and simplejson was replaced with json.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 Jan 2023 10:13:49 -0500

datalad (0.17.10-1) unstable; urgency=medium

  * Fresh upstream patch release
  * debian/patches
    - refreshed and two CPed patches removed
  * debian/rules
    - setting a keyring in tests was moved upstream in this release,
      so we remove setting it in debian/rules

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Dec 2022 11:47:35 -0500

datalad (0.17.8-1) unstable; urgency=medium

  * Fresh upstream release
  * d/patches
    - refreshed
    - two post-release fixes added from
      https://github.com/datalad/datalad/pull/7112

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Oct 2022 19:54:48 -0400

datalad (0.17.6-3) unstable; urgency=medium

  * d/control - fix python-appdirs to python3-appdirs.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Sep 2022 19:23:14 -0400

datalad (0.17.6-2) neurodebian; urgency=medium

  * d/control
    - fixed version depend for importlib-metadata, wrongly specified to be 0.16.2
    - add python3-typing-extensions explicitly into build-depends since we
      depend on them through importlib-metadata and that one managed to forget
      to declare depends on it
  * debian/patches/deb_disable_pytest_warn - to help backporting on buster


 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Sep 2022 14:30:59 -0400

datalad (0.17.6-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * d/control -- add minimal version for the alternative of
    importlib-metadata to be 3.6, needed since 0.16.2~6^2.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Sep 2022 16:27:57 -0400

datalad (0.17.5-2) neurodebian; urgency=medium

  * d/{control,patches/revert_platformdirs} to make compatible also with appdirs.
    Applied to all releases to not mess with .dsc patching per release and
    complicating update of the patch. ATM needed for bullseye (11.0) and focal
    (20.04, used on github actions e.g. ReproNim/containers).

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Sep 2022 13:52:29 -0400

datalad (0.17.5-1) unstable; urgency=medium

  * Fresh upstream release
    - warrants DATALAD_SOURCE_EPOCH env var, so dropping 
      d/patches/reproducible-build.patch and adjusting d/rules to set
      it up.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 06 Sep 2022 13:39:24 -0400

datalad (0.17.4-1) unstable; urgency=medium

  * Fresh upstream release
  * d/patches/reproducible-build.patch by Chris Lamb to make manpage dates
    follow SOURCE_DATE_EPOCH if available for reproducible builds.
    (Closes: #1010318)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Aug 2022 22:11:19 -0400

datalad (0.17.1-2) neurodebian; urgency=medium

  * d/patches
    - CP https://patch-diff.githubusercontent.com/raw/datalad/datalad/pull/6836.diff
      to allow for testing with older pytest, as in Debian stable.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Jul 2022 12:35:04 -0400

datalad (0.17.1-1) unstable; urgency=medium

  * Fresh upstream release
    - switched to pytest from nose, d/{control,rules} were adjusted
  * d/patches - refreshed to account for switching to pytest etc

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 11 Jul 2022 17:18:25 -0400

datalad (0.16.5-1) unstable; urgency=medium

  * Fresh upstream maintenance release
  * d/control
    - remove python3-gitlab from Recommends since it is already in Depends
  * d/copyright
    - updated year for the main part
    - removed copyright statements for components which were moved out
      into datalad-deprecated (not in Debian)
  * d/rules
    - python3-argcomplete now ships binary without "3" suffix -- we will try
      both

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 08 Jun 2022 09:36:17 -0400

datalad (0.16.3-1) unstable; urgency=medium

  * Fresh upstream release
  * d/control
    - python3-argcomplete minimal version should be 1.12.3
      (as the first version available which works)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 May 2022 16:49:37 -0400

datalad (0.16.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches -- refreshed, removed CPed 0001* and for python <3.7
  * debian/control - dependencies updated:
    - python 3.6 support was dropped
    - no wrapt or github packages needed
    - platformdirs is used instead of unmaintained appdirs
    - importlib-metadata needed for any python before 3.10

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Apr 2022 16:18:43 -0400

datalad (0.15.5-1) unstable; urgency=medium

  * Fresh upstream maintenance release
  * d/control
    - add python3-packaging to b-depends
  * d/patches
    - CPed 0001-BF-TST-add-another-condition-to-skip-under-http_prox.patch
      from upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 09 Feb 2022 22:05:08 -0500

datalad (0.15.3-1) unstable; urgency=medium

  * Freshish upstream maintenance release
  * d/patches
    - refreshed for code movement
    - CPed from upstream patches dropped

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 22 Nov 2021 12:02:58 -0500

datalad (0.15.0-2) unstable; urgency=medium

  * d/control
    - boost minimal version of git-annex to 8.20200309 (upstream requirement)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 Sep 2021 09:20:23 -0400

datalad (0.15.0-1) unstable; urgency=medium

  * Fresh upstream release (skipped 0.14.8 from two days ago).
  * debian/patches - added 2 patches submitted upstream
    https://github.com/datalad/datalad/pull/5986

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 14 Sep 2021 12:37:30 -0400

datalad (0.14.7-1) unstable; urgency=medium

  * Fresh upstream release. Upload to unstable celebrate bullseye release
  * d/control
    - add python3-gitlab to *Depends
  * d/patches
    - CPed 00* patches dropped

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 Aug 2021 15:31:36 -0400

datalad (0.14.6-1) experimental; urgency=medium

  * Fresh upstream release
  * d/p
    - dropped CPed upstream patches
    - refreshed patches
    - added 0001-RF-TST-do-not-test-for-no-EASY-and-pkg_resources-in-.patch
      submitted upstream: https://github.com/datalad/datalad/pull/5817
    - added 0001-BF-import-importlib.metadata-not-importlib_metadata-.patch
      to avoid requiring importlib_metadata backport package
  * due to upstream switching to use versioneer, we should package
    based on released upstream releases on pypi, not based on merged
    release tags.  debian-upstream branch will track releases from pypi
  * d/rules
    - trying to be optimistic and removing skipping some selected tests
  * d/control
    - add python3-importlib-metadata (for python3 < 3.8) to *depends
      Note: that we do not have backports for it in neurodebian

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Jul 2021 18:49:35 -0400

datalad (0.14.3-1) experimental; urgency=medium

  * Fresh upstream release.
  * d/p
    - deb_no_utf8 is refreshed
    - deb_skip_if_no_github - added

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Apr 2021 08:49:51 -0400

datalad (0.14.2-1) UNRELEASED; urgency=medium

  * d/control
    - fix name in datalad-container suggest (not datalad-containers)
  * Recent upstream release
  * d/patches
    + 0001-BF-TST-use-sys.executable-and-not-hardcoded-python.patch
      https://github.com/datalad/datalad/pull/5612

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Apr 2021 09:04:18 -0400

datalad (0.14.0-1) unstable; urgency=medium

  * Fresh upstream release
  * d/control
    - announce breakage of older datalad-container

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Feb 2021 13:13:27 -0500

datalad (0.14.0~rc1+git10-g1b22107ac-1) experimental; urgency=medium

  * Fresh release candidate
  * d/control
    - need python >= 3.6 and fasteners >= 0.14

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Jan 2021 09:03:13 -0500

datalad (0.13.7-1) unstable; urgency=medium

  * Recent upstream bugfix/minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Jan 2021 12:50:17 -0500

datalad (0.13.6-1) unstable; urgency=medium

  * Fresh upstream bugfix/minor release
  * d/patches
    - slightly refreshed to account for some portions included upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 Dec 2020 22:37:27 -0500

datalad (0.13.5-2) neurodebian; urgency=medium

  * debian/patches/deb_no_utf8
    - more skips and de-utf8-ing to please nd90 with elderly python 3.5
  * debian/control
    - add Build-Conflicts on git-annex 8.20200226-1 (present on nd20.04) 
      since it has a buggy initremote which causes a wide range of tests to fail

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 25 Nov 2020 18:31:59 -0500

datalad (0.13.5-1) unstable; urgency=medium

  [ Michael Hanke ]
  * New upstream release (skipped 0.13.4)

  [ Yaroslav Halchenko ]
  * Skip test_basics as a quick workaround fro
  https://github.com/datalad/datalad/issues/4753

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Nov 2020 22:32:49 -0500

datalad (0.13.3-1) unstable; urgency=medium

  * debian/control
    - remove mentioning of Recommends for 'datalad' package which no longer
      has any Recommends (Closes: #969034)
    - remove python3-git from *Depends - no longer used

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 Sep 2020 09:23:57 -0400

datalad (0.13.2-1) unstable; urgency=medium

  * New upstream release
    - since 0.12.x series, many tests instability issues were addressed.
      (Closes: #903213, #966948)
  * debian/rules
    - remove WRAPT_DISABLE_EXTENSIONS=1 workaround -- wrapt should no longer
      cause segfaults
  * debian/patches
    + 0001-BF-serve_path_via_http-HTTPPath-use-localhost-not-ha.patch
      a semi-blind patch to avoid hardcoding 127.0.0.1 and use localhost
      instead so to make it potentially work on IPv6 only setups.
      Please reopen if that does not fix it (Closes: #963856)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Aug 2020 09:37:20 -0400

datalad (0.13.1-1) neurodebian; urgency=medium

  * New upstream major release
    - dopped all debian/patches/00*

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 17 Jul 2020 16:49:11 -0400

datalad (0.13.0-1) neurodebian; urgency=medium

  [ Michael Hanke ]
  * New upstream major release.
  * debian/control
    - add python3-annexremote as dependency.

  [ Yaroslav Halchenko ]
  * debian/patches
    + 0001-BF-TST-skip-one-case-of-test_ria_basics.test_binary_.patch
    + 0001-BF-annotate-tests-in-test_utils_cached_dataset-with-.patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 16 Jul 2020 23:41:09 -0400

datalad (0.12.7-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 May 2020 13:26:38 -0400

datalad (0.12.6-2) unstable; urgency=medium

  * Remove python3-boto from Build-Depends: we cannot test much of interactions
    with s3 anyways since credentials would not be available.
    This should prevent removal of datalad packages wherenever boto package
    is scheduled for removal.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Apr 2020 12:21:24 -0400

datalad (0.12.6-1) unstable; urgency=medium

  * Fresh upstream release:
    - should resolve possible issues with an upcoming release of git-annex
  * debian/patches
    - CPed 0001* was removed, deb_no_utf8 was updated

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 23 Apr 2020 16:43:05 -0400

datalad (0.12.4-2) unstable; urgency=medium

  * Add python3-distro to Depends of python3-datalad (needed for python>=3.8).

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Mar 2020 13:26:07 -0400

datalad (0.12.4-1) unstable; urgency=medium

  * Fresh upstream maintenance release
    - should fix lots of compatibility issues with bleeding edge git-annex (>=8)
      which broke some API and behavior(s) (Closes: #954728)
  * debian/patches
    + 0001-BF-match-hint-prefix-for-ignored-files-message-by-gi.patch
      to address changes in git 2.26.0.rc2 output messages

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Mar 2020 12:38:30 -0400

datalad (0.12.2-2) unstable; urgency=medium

  * Just for source only upload

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 Feb 2020 23:55:56 -0800

datalad (0.12.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Git.
  
  [ Yaroslav Halchenko ]
  * New upstream release
  * Unbump debhelper to 11 for backporting
  * debian/control
    - Recommend datalad-container not datalad-containers
    - Boost python3-git dependency to 2.1.12
    - *Depend on p7zip-full which is used for archives handling

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Jan 2020 09:46:50 -0500

datalad (0.12.1-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * debian/patches/deb_no_utf8 updated to not test unicode when python < 3.7
    (see https://github.com/datalad/datalad/issues/4016)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 15 Jan 2020 21:32:28 -0500

datalad (0.12.0-1) unstable; urgency=medium

  [ Michael Hanke ]
  * New upstream major release.
  * debian/control
    - add python3-distro to build-depends (Closes: #948533)
    - add python3-gitlab to Recommends.
    - boost minimal git-annex version to 7.20190503

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 11 Jan 2020 09:17:58 -0500

datalad (0.11.8-1) unstable; urgency=medium

  * Fresh upstream release (from tomorrow)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Oct 2019 21:32:17 -0400

datalad (0.11.7-1) unstable; urgency=medium

  * Fresh upstream release
  * Use team@datalad.org not @neuro.debian.net address for Maintainers
  * debian/patches/python3.patch
    - removed changes to *procedures* - handled upstream more flexibly
  * debian/patches/deb_no_utf8
    - do not use unicode in OBSCURE_FILENAME due to a bug in git-annex

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Sep 2019 09:18:59 +0200

datalad (0.11.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support and switch to python 3; patches by Steve Langasek;
    Closes: #935015

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Aug 2019 17:58:36 -0400

datalad (0.11.6-1) unstable; urgency=medium

  * Fresh upstream release
  * Upload to unstable (buster is out)
  * Dropped 2 debian/patches/0001* CPed from upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 29 Jul 2019 12:07:25 -0400

datalad (0.11.5-3) neurodebian; urgency=medium

  * For NeuroDebian jessie (nd80) needed one more patch
    debian/patches/0001-ENH-TST-adding-one-more-condition-for-nd80-to-skip-t.patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 30 May 2019 09:23:45 -0400

datalad (0.11.5-2) neurodebian; urgency=medium

  * debian/patches/0001-BF-TST-skip-vcr-based-github-tests-if-no-network.patch
    - to avoid FTBFS on 18.10

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 May 2019 15:34:17 -0400

datalad (0.11.5-1) experimental; urgency=medium

  * Fresh upstream bugfix/minor release
  * debian/rules
    - set http*_proxy to empty value so VCR based tests (github) would
      work (otherwise mismatch from proxy IP)
  * debian/control
    - added python{,3}-vcr to build-depends for github vcr tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 24 May 2019 07:31:33 -0400

datalad (0.11.4-1) experimental; urgency=medium

  * Fresh upstream bugfix/minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 04 Apr 2019 23:02:00 -0400

datalad (0.11.3-1) experimental; urgency=medium

  * Fresh upstream bugfix release. Since bundles some new features, upload to
    experimental
  * debian/control
    - do demand python{,3}-libxmp on older systems with nose < 1.3.7-2.
      Otherwise nose fails to run tests on e.g. jessie.
      Ref: https://github.com/datalad/datalad/issues/3170

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Feb 2019 12:06:41 -0500

datalad (0.11.2-2) unstable; urgency=medium

  * Drop B-Depends on python-libxmp - optional dependency and currently
    causes possible removal of datalad from buster

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Feb 2019 14:32:00 -0500

datalad (0.11.2-1) unstable; urgency=medium

  * Fresh upstream bugfix/minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Feb 2019 23:20:28 -0500

datalad (0.11.1-1) unstable; urgency=medium

  * Fresh upstream bugfix/minor release
    - compatibility with the recent annex
    - variety of fixes (long command lines, metadata aggregation, etc)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Nov 2018 09:03:36 -0500

datalad (0.11.0-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Move source package lintian overrides to debian/source.

  [ Yaroslav Halchenko ]
  * New upstream release
    - requires git-annex >= 6.20180913

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Oct 2018 09:30:36 -0400

datalad (0.10.3.1-2) neurodebian; urgency=medium

  * BF: add libpython3-stdlib alternative also within Depends of
    python3-datalad binary package to make it installable e.g. on nd90

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Sep 2018 23:19:16 -0400

datalad (0.10.3.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Vcs control header.

  [ Yaroslav Halchenko ]
  * Emergency upstream bugfix release with correct version assigned

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Sep 2018 12:17:18 -0400

datalad (0.10.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - make python3-distutils alternative to libpython3-stdlib (<=3.6.4~rc1-2)
      where it was split out (to ease backporting)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 12 Sep 2018 14:14:31 -0400

datalad (0.10.2-2) unstable; urgency=medium

  * debian/control
    + python3-distutils to B-Depends and Depends of python3-datalad
      (Closes: #905293). Thanks Andreas Beckmann for the report

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 02 Aug 2018 13:58:11 -0400

datalad (0.10.2-1) unstable; urgency=medium

  * A small bugfix release rushed out for compatibility with recent
    git-annex (Closes: #903213)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 07 Jul 2018 22:20:16 -0400

datalad (0.10.1-1) unstable; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 Jun 2018 15:25:22 +0800

datalad (0.10.0-3) neurodebian; urgency=medium

  * debian/patches/deb_loosenup_setup_requires
    - to not demand PyGitHub since it causes pybuild on nd16.04 to
      inject incorrect dependency on python3-pygithub.  All dependencies
      are enforced by debian/control anyways

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Jun 2018 09:20:00 -0400

datalad (0.10.0-2) neurodebian; urgency=medium

  * Migrate python*-github into recommends from Depends.  Used only by
    one command and should address some snafu with xenial package making it into
    python3-pygithub, which is N/A, so python3-datalad is not installable.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 11 Jun 2018 11:39:55 -0400

datalad (0.10.0-1) unstable; urgency=medium

  * Fresh upstream release
    - major change is modularization and break away of datalad-crawler
  * debian/control
    - updated B-Depends/Recommends/Suggests to include new modules for
      extracting meta-data and removed all needed for crawling (split away).

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 09 Jun 2018 09:30:23 -0400

datalad (0.9.3-1) unstable; urgency=medium

  * Bugfix upstream release
  * debian/control
    - added python-fasteners into depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 16 Mar 2018 12:43:32 -0400

datalad (0.9.2-1) unstable; urgency=medium

  * Large primarily bugfix release
    - Debian proper has now fresh enough git-annex
    - upload would mean tests been dealt with (Closes: #891946)
  * debian/control
    - carries needed depends on python-msgpack (Closes: #891946)
      and provides fake http_proxy to prevent downloads
    - added python-duecredit

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 03 Mar 2018 22:14:52 -0500

datalad (0.9.1-1) neurodebian; urgency=medium

  * Fresh very minor bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 30 Sep 2017 18:03:32 -0400

datalad (0.9.0-1) neurodebian; urgency=medium

  * Fresh to be release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Sep 2017 09:15:12 -0400

datalad (0.8.1+git226-gb20e2a3c-1) neurodebian-devel; urgency=medium

  * New upstream snapshot from 0.8.1-226-gb20e2a3c
  * debian/rules
    - define WRAPT_DISABLE_EXTENSIONS=1 while running tests to overcome
      wrapt segfaults (needs either wrapt >= 1.10.11 or patched, as in
      neurodebian)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Sep 2017 23:39:22 -0400

datalad (0.8.1-1) neurodebian; urgency=medium

  * Fresh upstream bugfix to be release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 12 Aug 2017 22:18:16 -0400

datalad (0.8.0-1) neurodebian; urgency=medium

  * Fresh release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 30 Jul 2017 22:18:04 -0400

datalad (0.7.0-2) neurodebian; urgency=medium

  * Fixup to version.py and Changelog in rushed up "release"
  * debian/changelog -- adjusted with neurodebian release where was not
    uploaded to Debian proper due to outdated git-annex (ref #865889)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 25 Jun 2017 09:07:59 -0700

datalad (0.7.0-1) neurodebian; urgency=medium

  * Fresh uptream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 24 Jun 2017 18:05:51 -0700

datalad (0.6.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - added python-wrapt to bdepends/depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Jun 2017 11:02:52 -0400

datalad (0.5.1-1) experimental; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 25 Mar 2017 00:47:58 -0400

datalad (0.5.0-1) experimental; urgency=medium

  * Fresh upstream "it's huge" release
  * debian/control
    - boosted required git-annex to 6.20170101~

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 Mar 2017 10:36:53 -0400

datalad (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - require python-git >| 2.1~, and python-github

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Nov 2016 15:14:24 -0500

datalad (0.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add python-secretstorage into build-depends for keyring >= 9.2

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 21 Oct 2016 21:19:47 -0400

datalad (0.3.1-1) unstable; urgency=medium

  * Fresh upstream bugfix/minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 01 Oct 2016 15:06:47 -0400

datalad (0.3-1) unstable; urgency=medium

  * New upstream release
    - should resolve FTBFS due to incompatibilities with new git version
      (Closes: #835525)
  * Install bash completions under /usr/share/bash-completion/completions
    (TODO: deploy them for zsh)
  * debian/copyright - updated to reflect added components

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Sep 2016 09:22:01 -0400

datalad (0.2.3+git843-g18c597d-1) UNRELEASED; urgency=medium

  * New upstream snapshot from 0.2.3-843-g18c597d
  * debian/control
    - new build-depends and depends/recommends:
      python-{pyld,requests,simplejson,iso8601,jsmin,requests-ftp,yaml}
    - testtools removed from *depends - not used ATM

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 10 Sep 2016 13:35:04 -0400

datalad (0.2.3-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Jun 2016 01:04:10 +0200

datalad (0.2.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 Jun 2016 17:47:16 -0400

datalad (0.2.1-2) neurodebian; urgency=medium

  * Skip testing components which require recent scrapy

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 Jun 2016 11:12:30 -0400

datalad (0.2.1-1) unstable; urgency=medium

  * New bugfix + enhancements upstream release
  * patch refreshed
  * python-tqdm into *Depends as a preference over progressbar

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 Jun 2016 21:43:53 -0400

datalad (0.2-1) unstable; urgency=medium

  * New upstream release, with complete refactoring of the "distribution"
    component.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 May 2016 15:29:08 -0400

datalad (0.1+git589-g4f196dc-1) neurodebian-devel; urgency=medium

  * New upstream snapshot from 0.1-573-gec0b018
  * debian/control
    - adjusted build/depends (bunch of new ones, no need for joblib atm)
  * debian/control
    - dance around git config email/name

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Feb 2016 22:29:38 -0500

datalad (0.1-1) neurodebian-devel; urgency=medium

  * Fresh upstream release with a sketch of publishing functionality

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Oct 2015 22:21:42 -0400

datalad (0.0.4-1) neurodebian-devel; urgency=low

  [ Yaroslav Halchenko ]
  * Initial Debian packaging

  [ Michael Hanke ]
  * Add lintian override for insufficient dependencies of the 'datalad'
    package. All relevant dependencies are satisfied by the tightly coupled
    'python-datalad' package.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Sep 2015 10:57:58 -0400
